
datablock AudioProfile(NoteMarioWallHitSound)
{
   filename    = "./NoteBlueWallHit.wav";
   description = AudioDefault3d;
   preload = true;
};

datablock AudioProfile(NoteMarioScoreSound)
{
   filename    = "./NoteBlueScore.wav";
   description = AudioDefault3d;
   preload = true;
};

datablock ExplosionData(NoteMarioBounceExplosion)
{
	soundProfile = NoteBlueWallHitSound;
};

//explosion
datablock ParticleData(NoteMarioExplosionParticle)
{
	dragCoefficient      = 5;
	gravityCoefficient   = 0.0;
	inheritedVelFactor   = 1.0;
	constantAcceleration = 0.0;
	lifetimeMS           = 500;
	lifetimeVarianceMS   = 300;
	textureName          = "./square_mario";
	spinSpeed		= 0.0;
	spinRandomMin		= -0.0;
	spinRandomMax		= 0.0;
	colors[0]     = "1 1 1 1";
	colors[1]     = "1 1 1 0";
	sizes[0]      = 0.5;
	sizes[1]      = 0.0;
};

datablock ParticleEmitterData(NoteMarioExplosionEmitter)
{
   ejectionPeriodMS = 7;
   periodVarianceMS = 0;
   ejectionVelocity = 5;
   velocityVariance = 1.0;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 90;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "NoteMarioExplosionParticle";

   uiName = "NoteMario Explosion";
};

datablock ExplosionData(NoteMarioExplosion)
{
   //explosionShape = "";
	soundProfile = NoteMarioScoreSound;

   lifeTimeMS = 150;

   particleEmitter = NoteMarioExplosionEmitter;
   particleDensity = 10;
   particleRadius = 0.2;

   faceViewer     = true;
   explosionScale = "1 1 1";

   shakeCamera = false;
   camShakeFreq = "10.0 11.0 10.0";
   camShakeAmp = "1.0 1.0 1.0";
   camShakeDuration = 0.5;
   camShakeRadius = 10.0;

   // Dynamic light
   lightStartRadius = 1;
   lightEndRadius = 0;
   lightStartColor = "1 1 1";
   lightEndColor = "0 0 0";
};


//trail
datablock ParticleData(NoteMarioTrailParticle)
 {
   dragCoefficient      = 3;
   gravityCoefficient   = -0.0;
   inheritedVelFactor   = 0.15;
   constantAcceleration = 0.0;
   lifetimeMS           = 200;
   lifetimeVarianceMS   = 0;
   textureName          = "./square_mario";
   spinSpeed		   = 0.0;
   spinRandomMin		= 0.0;
   spinRandomMax		= 0.0;
   colors[0]     = "1 1 1 0.2";
   colors[1]     = "1 1 1 0.1";
   colors[2]     = "1 1 1 0";

   sizes[0]      = 0.5;
   sizes[1]      = 0.5;
   sizes[2]      = 0.5;

   times[0] = 0.0;
   times[1] = 0.5;
   times[2] = 1.0;

   useInvAlpha = false;
};
datablock ParticleEmitterData(NoteMarioTrailEmitter)
{
   ejectionPeriodMS = 15;
   periodVarianceMS = 1;
   ejectionVelocity = 0.25;
   velocityVariance = 0.0;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 90;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "NoteBlueTrailParticle";
   
   uiName = "NoteMario Trail";
};

datablock ProjectileData(NoteRainbowProjectile)
{
   projectileShapeName = "./Notemario.dts";
   explosion           = NoteMarioExplosion;
   bounceExplosion     = NoteBlueBounceExplosion;
   particleEmitter     = NoteBlueTrailEmitter;
   explodeOnDeath = true;

   brickExplosionRadius = 0;
   brickExplosionImpact = 0;             //destroy a brick if we hit it directly?
   brickExplosionForce  = 0;             
   brickExplosionMaxVolume = 0;          //max volume of bricks that we can destroy
   brickExplosionMaxVolumeFloating = 0;  //max volume of bricks that we can destroy if they aren't connected to the ground (should always be >= brickExplosionMaxVolume)

   sound = "";

   muzzleVelocity      = 65;
   velInheritFactor    = 1.0;

   armingDelay         = 30000;
   lifetime            = 30000;
   fadeDelay           = 29500;
   bounceElasticity    = 0.99;
   bounceFriction      = 0.00;
   isBallistic         = true;
   gravityMod          = 0.0;

   hasLight    = false;
   lightRadius = 1.0;
   lightColor  = "1.0 1.0 1.0";

   uiName = "NoteCoinMario";
};